'use strict';

(function () {

  // import Objects
  var Message = exports.message,

  // code
  notification = document.getElementById('notification'),
  closeBtn = notification.querySelector('#btn-close-notification');

  closeBtn.addEventListener('click', function (e) {
    Animation.hide(notification);
  });

  document.addEventListener('error.unexpected', function (e) {
    Notifier.notify(notification, Message['title.unexpected'], '');
  });
}());
